Modify

Opened 3 months ago

Closed 3 months ago

Last modified 5 weeks ago

#18518 closed defect (fixed)

Error API, unable to save changeset: placeholder with ref 403647 not found for relation 7487553

Reported by: sharcrash@… Owned by: sharcrash@…
Priority: normal Milestone:
Component: Plugin contourmerge Version:
Keywords: template_report deletion undo multipolygon Cc:

Description

What steps will reproduce the problem?

  1. I simply tried to save my changeset but i got an error. So I saved my edits, rebooted JOSM but now i can't neither access it. I get the error: Could not load layer 1 'Data Layer 1', error is: Relation with external id '7487553' refers to a missing primitive with external id '-403647'

Data i saved is included in this ticket

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-01-02 22:34:59 +0100 (Thu, 02 Jan 2020)
Build-Date:2020-01-02 21:52:31
Revision:15628
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15628 en) Windows 7 64-Bit
OS Build number: Windows 7 Professional (7601)
Memory Usage: 890 MB / 1820 MB (228 MB allocated, but free)
Java version: 1.8.0_231-b11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1280x1024, \Display1 1280x1024
Maximum Screen Size: 1280x1024

Plugins:
+ SimplifyArea (35248)
+ areaselector (359)
+ austriaaddresshelper (57)
+ buildings_tools (35248)
+ continuosDownload (82)
+ contourmerge (v0.1.5)
+ ejml (35122)
+ geochat (35248)
+ imagery_offset_db (35248)
+ log4j (35092)
+ reltoolbox (35248)
+ reverter (35248)
+ turnrestrictions (35248)
+ undelete (35248)
+ utilsplugin2 (35248)
+ wikipedia (1.1.3)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Fixme&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&zip=1
+ https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Enhanced_Lane_and_Road_Attributes&zip=1

Last errors/warnings:
- W: No configuration settings found.  Using hardcoded default values for all pools.
- E: org.openstreetmap.josm.io.IllegalDataException: Relation with external id '7487553' refers to a missing primitive with external id '-403647'.
- W: No default layer selected, choosing first layer.
- E: org.openstreetmap.josm.io.IllegalDataException: Relation with external id '7487553' refers to a missing primitive with external id '-403647'.

Attachments (1)

temp.joz (2.2 MB) - added by sharcrash@… 3 months ago.
Data unable to be saved in OSM's server

Change History (9)

Changed 3 months ago by sharcrash@…

Attachment: temp.joz added

Data unable to be saved in OSM's server

comment:1 Changed 3 months ago by Don-vip

Owner: changed from team to sharcrash@…
Status: newneedinfo

I don't know what happened, but the relation you edited kept a reference to a new local way instead of the OSM server version:

  <relation id='7487553' action='modify' timestamp='2020-01-04T13:16:48Z' uid='1808015' user='SHARCRASH' visible='true' version='27' changeset='79188420'>
    <member type='way' ref='360286480' role='outer' />
    <member type='way' ref='37613751' role='inner' />
    <member type='way' ref='369353460' role='inner' />
    <member type='way' ref='369353455' role='inner' />
    <member type='way' ref='-403647' role='inner' />
    <member type='way' ref='293823043' role='inner' />
    <member type='way' ref='272332390' role='inner' />
    <member type='way' ref='354637209' role='inner' />
    <member type='way' ref='322357760' role='inner' />
    <member type='way' ref='361418217' role='inner' />
    <member type='way' ref='285108802' role='inner' />
    <member type='way' ref='639107068' role='inner' />
    <member type='way' ref='280613785' role='inner' />
    <member type='way' ref='366898504' role='inner' />
    <member type='way' ref='366898505' role='inner' />
    <member type='way' ref='366898507' role='inner' />
    <member type='way' ref='364356856' role='inner' />
    <member type='way' ref='322359983' role='inner' />
    <member type='way' ref='322359982' role='inner' />
    <member type='way' ref='345397230' role='inner' />
    <member type='way' ref='639742192' role='inner' />
    <member type='way' ref='445313808' role='inner' />
    <member type='way' ref='298593095' role='inner' />
    <member type='way' ref='325753906' role='inner' />
    <member type='way' ref='368141942' role='inner' />
    <member type='way' ref='369234063' role='inner' />
    <member type='way' ref='641231950' role='inner' />
    <member type='way' ref='641231949' role='inner' />
    <member type='way' ref='369234067' role='inner' />
    <member type='way' ref='369234070' role='inner' />
    <member type='way' ref='369234078' role='inner' />
    <member type='way' ref='369234079' role='inner' />
    <member type='way' ref='369234082' role='inner' />
    <member type='way' ref='369234083' role='inner' />
    <member type='way' ref='369234084' role='inner' />
    <member type='way' ref='369234085' role='inner' />
    <member type='way' ref='369234086' role='inner' />
    <member type='way' ref='354637208' role='inner' />
    <member type='way' ref='406044905' role='inner' />
    <member type='way' ref='406044908' role='inner' />
    <member type='way' ref='417915109' role='inner' />
    <member type='way' ref='417915110' role='inner' />
    <member type='way' ref='417917472' role='inner' />
    <member type='way' ref='417917473' role='inner' />
    <member type='way' ref='428633894' role='inner' />
    <member type='way' ref='456638037' role='inner' />
    <member type='way' ref='456641562' role='inner' />
    <member type='way' ref='395777632' role='inner' />
    <member type='way' ref='326818211' role='inner' />
    <member type='way' ref='367466438' role='inner' />
    <member type='way' ref='417915114' role='inner' />
    <member type='way' ref='369234089' role='inner' />
    <member type='way' ref='369586004' role='inner' />
    <member type='way' ref='461054778' role='inner' />
    <member type='way' ref='516701697' role='inner' />
    <member type='way' ref='367420645' role='inner' />
    <member type='way' ref='460848132' role='inner' />
    <member type='way' ref='516850909' role='inner' />
    <member type='way' ref='517727059' role='inner' />
    <member type='way' ref='521576222' role='inner' />
    <member type='way' ref='523116815' role='inner' />
    <member type='way' ref='554084747' role='inner' />
    <member type='way' ref='354637211' role='inner' />
    <member type='way' ref='637812353' role='inner' />
    <member type='way' ref='639742193' role='inner' />
    <member type='way' ref='640976488' role='inner' />
    <member type='way' ref='641012170' role='inner' />
    <member type='way' ref='641012162' role='inner' />
    <member type='way' ref='641231952' role='inner' />
    <member type='way' ref='688049278' role='inner' />
    <member type='way' ref='688049277' role='inner' />
    <member type='way' ref='697236292' role='inner' />
    <tag k='landuse' v='forest' />
    <tag k='type' v='multipolygon' />
  </relation>

If we compare to https://www.openstreetmap.org/relation/7487553 we can guess the correct way id is https://www.openstreetmap.org/way/369358047

But it seems you wanted to delete it:

  <way id='369358047' action='delete' timestamp='2018-08-30T15:38:06Z' uid='1808015' user='SHARCRASH' visible='true' version='7' changeset='62144311'>
  </way>

So you can try the following:

  • edit the layers/01/data.osm file inside the .joz archive (it's a zip archive)
  • remove this line:
        <member type='way' ref='-403647' role='inner' />
    
  • save the file, try to reopen the session
  • make sure to update your data and resolve potential conflicts before trying to upload your changes again

comment:2 Changed 3 months ago by sharcrash@…

Oh! I didn't know it's an archive file. It worked liked a charm without conflicts luckily! Thank you very much!

As in why this happened or why i wanted to delete the way element, the only weird event i can recall was me in the process to remerge an area i had split from the MP relation to another area, but prior to make the merge i edited/deleted the tags/relation to that new little area but it's the way or relation of the big MP that got deleted. I made several undos to put it back to the step i made the wrong deletion, then the correct edit. I do this often to integrate new areas adjacent/glued to other areas. Not all the time but I find this method most often easier and faster when complex areas are around.

Thanks again!

comment:3 Changed 3 months ago by anonymous

Resolution: fixed
Status: needinfoclosed

comment:4 Changed 3 months ago by Don-vip

Keywords: deletion undo multipolygon added
Resolution: fixedirreproducible

comment:5 in reply to:  2 Changed 3 months ago by skyper

Replying to sharcrash@…:

As in why this happened or why i wanted to delete the way element, the only weird event i can recall was me in the process to remerge an area i had split from the MP relation to another area, but prior to make the merge i edited/deleted the tags/relation to that new little area but it's the way or relation of the big MP that got deleted. I made several undos to put it back to the step i made the wrong deletion, then the correct edit. I do this often to integrate new areas adjacent/glued to other areas. Not all the time but I find this method most often easier and faster when complex areas are around.

Probably, there was an unsolved conflict remaining. Either before merging which will be lost (see #18416) or in data layer after merge (did you update the relation from server after merge ?) or between relation manager and data layer.

comment:6 Changed 3 months ago by sharcrash@…

Yeah probably but i was not aware, i hadn't received any warning yet. I had reported a duplicated node issue here which was revealed to be the fault of a plugin. So maybe a duplicated node had been created and engendered the placeholder problem? No update from server.

comment:7 Changed 6 weeks ago by Gubaer

Resolution: irreproduciblefixed

Should be fixed in release v1.0.6 of the plugin Github Issue

comment:8 Changed 5 weeks ago by Don-vip

Component: CorePlugin contourmerge

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain sharcrash@….
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.